# $Revision: 1.10 $, $Date: 2006/04/02 11:17:03 $
Summary:	Programs for mounting, unmounting and ejecting storage devices
Summary(pl):	Programy do montowania, odmontowywania i wysuwania urzdze do przechowywania danych
Name:		gnome-mount
Version:	0.4
Release:	4
License:	GPL v.2
Group:		Applications
Source0:	http://freedesktop.org/~david/dist/%{name}-%{version}.tar.gz
# Source0-md5:	75f260ea6b0ec3c5e0af3c722fbd9568
Patch0:		%{name}-shortname.patch
Patch1:		%{name}-drive_mount.patch
Patch2:		%{name}-no_media.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.60
BuildRequires:	gnome-keyring-devel
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	hal-devel >= 0.5.7
BuildRequires:	intltool
BuildRequires:	libglade2-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	libtool
BuildRequires:	nautilus-devel
Requires(post,preun):	GConf2
Requires:	nautilus
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Programs for mounting, unmounting and ejecting storage devices.

%description -l pl
Programy do montowania, odmontowywania i wysuwania urzdze do
przechowywania danych.

%package devel
Summary:	gnome-mount development files
Summary(pl):	Pliki programistyczne gnome-mount
Group:		Development
Requires:	pkgconfig

%description devel
This is the package containing gnome-mount development files.

%description devel -l pl
Ten pakiet zawiera pliki programistyczne gnome-mount.

%prep
%setup -q
%patch0 -p1
%patch1	-p0
%patch2 -p0

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-nautilus-extension
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gnome-mount.schemas

%preun
%gconf_schema_uninstall gnome-mount.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/nautilus/extensions-1.0/*.so
%{_datadir}/%{name}
%{_sysconfdir}/gconf/schemas/gnome-mount.schemas

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-mount.spec,v $
Revision 1.10  2006/04/02 11:17:03  freetz
- added drive_mount and no_media patches, rel.4

Revision 1.9  2006/03/16 15:24:04  wrobell
- added shortname patch, which standarizes shortname option value
- rel. 3

Revision 1.8  2006/02/24 13:52:26  freetz
- rel.2 for easier upgrade from snapshot

Revision 1.7  2006/02/24 13:44:19  freetz
- 0.4, updated BR and files

Revision 1.6  2006/02/23 17:36:25  freetz
- dropped storage-methods

Revision 1.5  2006/02/19 11:45:39  qboosh
- unified

Revision 1.4  2006/02/18 22:23:15  freetz
- virtual provides: storage-methods, use snap in release

Revision 1.3  2006/01/23 10:02:53  qboosh
- pl

Revision 1.2  2006/01/23 08:47:33  freetz
- 0.4-20060122 snap, devel(?) subpkg, updated BR

Revision 1.1  2006/01/21 23:15:56  freetz
- initial
